Botan 1.10.17

workfactor.h
Go to the documentation of this file.
1 /*
2 * Public Key Work Factor Functions
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Distributed under the terms of the Botan license
6 */
7
8 #ifndef BOTAN_WORKFACTOR_H__
9 #define BOTAN_WORKFACTOR_H__
10
11 #include <botan/types.h>
12
13 namespace Botan {
14
15 /**
16 * Estimate work factor for discrete logarithm
17 * @param prime_group_size size of the group in bits
18 * @return estimated security level for this group
19 */
20 size_t dl_work_factor(size_t prime_group_size);
21
22 }
23
24 #endif
Botan
Definition: algo_base.h:14
Botan::dl_work_factor
size_t dl_work_factor(size_t bits)
Definition: workfactor.cpp:14